# DataExchange
TKSTEPBase
StepBasic

# StepBasic_ApprovalRelationship Class Reference

`#include <StepBasic_ApprovalRelationship.hxx>`

## Public Member Functions

Standard_EXPORT | StepBasic_ApprovalRelationship ()
| Returns a ApprovalRelationship .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aDescription, const Handle(StepBasic_Approval)&aRelatingApproval, const Handle(StepBasic_Approval)&aRelatedApproval)
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
Standard_EXPORT void | SetDescription (const Handle(TCollection_HAsciiString)&aDescription)
Standard_EXPORT Handle_TCollection_HAsciiString | Description () const
Standard_EXPORT void | SetRelatingApproval (const Handle(StepBasic_Approval)&aRelatingApproval)
Standard_EXPORT Handle_StepBasic_Approval | RelatingApproval () const
Standard_EXPORT void | SetRelatedApproval (const Handle(StepBasic_Approval)&aRelatedApproval)
Standard_EXPORT Handle_StepBasic_Approval | RelatedApproval () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | name
Handle_TCollection_HAsciiString | description
Handle_StepBasic_Approval | relatingApproval
Handle_StepBasic_Approval | relatedApproval

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_ApprovalRelationship::StepBasic_ApprovalRelationship | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_ApprovalRelationship::Description | ( |  | ) | const

Standard_EXPORT const StepBasic_ApprovalRelationship::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void StepBasic_ApprovalRelationship::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aDescription,
|  | const Handle(StepBasic_Approval)& | aRelatingApproval,
|  | const Handle(StepBasic_Approval)& | aRelatedApproval
| ) | `[virtual]`

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_ApprovalRelationship::Name | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_Approval StepBasic_ApprovalRelationship::RelatedApproval | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_Approval StepBasic_ApprovalRelationship::RelatingApproval | ( |  | ) | const

Standard_EXPORT void StepBasic_ApprovalRelationship::SetDescription | ( | const Handle(TCollection_HAsciiString)& | aDescription | ) |

Standard_EXPORT void StepBasic_ApprovalRelationship::SetName | ( | const Handle(TCollection_HAsciiString)& | aName | ) |

Standard_EXPORT void StepBasic_ApprovalRelationship::SetRelatedApproval | ( | const Handle(StepBasic_Approval)& | aRelatedApproval | ) |

Standard_EXPORT void StepBasic_ApprovalRelationship::SetRelatingApproval | ( | const Handle(StepBasic_Approval)& | aRelatingApproval | ) |

## Field Documentation

Handle_TCollection_HAsciiString StepBasic_ApprovalRelationship::description `[private]`

Handle_TCollection_HAsciiString StepBasic_ApprovalRelationship::name `[private]`

Handle_StepBasic_Approval StepBasic_ApprovalRelationship::relatedApproval `[private]`

Handle_StepBasic_Approval StepBasic_ApprovalRelationship::relatingApproval `[private]`

The documentation for this class was generated from the following file:

- StepBasic_ApprovalRelationship.hxx